<?php

App::uses('ArrayUtil', 'EvCore.Lib');

class OrderLib {

/**
 * Given the order array and the name of the data to get, return the data.
 *
 * @param array  $order    The order item to search in.
 * @param string $dataName The path to search data for
 * @return mixed|bool|null The data if found, false if not found and null if no order data was provided.
 */
	public function findOrderData($order, $dataName) {
		if (empty($order['OrderData']) || empty($dataName)) {
			return null;
		}

		return ArrayUtil::findFirst($order['OrderData'], 'name', $dataName, 'data');
	}

/**
 * Given the array of item data and the name of the data to get, return the data.
 *
 * @param array  $orderItem    The order item to search in.
 * @param string $itemDataName The path to search data for
 * @return mixed|bool|null The data if found, false if not found and null if no order data was provided.
 */
	public function findOrderItemData($orderItem, $itemDataName) {
		if (empty($orderItem['OrderItemData']) || empty($itemDataName)) {
			return null;
		}

		return ArrayUtil::findFirst($orderItem['OrderItemData'], 'name', $itemDataName, 'item_data');
	}
}
